<template>
  <v-toolbar class="red lighten-2">
    <router-link :to="{ name: 'home' }">
      <img id="logo-image" src="../assets/logo.png" alt="">
    </router-link>
    <img id="bolitas" src="../assets/bolitas.png" alt="">
    <v-spacer></v-spacer>
    <v-card id="card">
      <input type="text" name="busqueda"  v-model="busqueda" @keyup.enter="search()">
      <v-icon>search</v-icon>
    </v-card>
    <v-input></v-input>
  </v-toolbar>
</template>

<script>
import PokemonService from '@/services/PokemonServices'
export default {
  data(){
    return {
      busqueda: null
    }
  },
  methods:{
    search(){
      PokemonService.getPokemon(this.busqueda)
      .then(response=>{
          this.$router.push('/pokemon/'+response.data.id)
      })

    }
  }

}
</script>

<style scoped>

#logo-image {
  width: 70px;
  height: 70px;
  margin-top: 5px;
}
#bolitas {
  width: 80px;
  height: 80px;
  margin-top: 5px;
}

input {
  margin: 5px;
  width: 92%;
}

#card {
  margin-left: 1%;
  width: 40%;
}

</style>
